kdk::KTableHeaderView(3)

NAME
kdk::KTableHeaderView

SYNOPSIS

Inherits QHeaderView.

  Public Slots

void checkStateChangeSlot (int iState)

  Signals

void checkStateChange (int state)
void clickedHeader (int column)

  Public Member Functions

KTableHeaderView (Qt::Orientation orientation, QWidget *parent=nullptr)
KTableHeaderView 构造函数
void setTitle (QStringList list)
设置水平标题
void setMenu (QMenu *menu, int column)
设置menu

  Protected Member Functions

void paintSection (QPainter *painter, const QRect &rect, int logicalIndex) const
void mousePressEvent (QMouseEvent *e)
void mouseReleaseEvent (QMouseEvent *e)
bool event (QEvent *e)

Constructor & Destructor Documentation

  kdk::KTableHeaderView::KTableHeaderView (Qt::Orientation orientation, QWidget * parent = nullptr)

KTableHeaderView 构造函数

Parameters
    orientation 方向
    parent 父类对象

Member Function Documentation

  void kdk::KTableHeaderView::setMenu (QMenu * menu, int column)

设置menu

Parameters
    menu
    column

  void kdk::KTableHeaderView::setTitle (QStringList list)

设置水平标题

Parameters
    list

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.